<?php
class pns_conditiona_extra_check {
     public function check_notice_expiry($validity,$notice) {
	    
		
		
		$status       = "no";
		
		if ($validity == "specific")   {
		    $validfrom    = date('Y-m-d', strtotime($notice['notice_validfrom']));
		    $validto      = date('Y-m-d', strtotime($notice['notice_validto']));
			
		 if (($validfrom !='') || ($validto !='')) {
		 
            $blogtime     = date( 'Y-m-d', current_time( 'timestamp', 0 ) );
		    
            
			 if  (isset($validfrom) && ($validfrom != '1970-01-01') && ($blogtime < $validfrom) ) {
			  $status       = "yes";
			  
			  }
			 
			 if  (isset($validto) && ($validto != '1970-01-01') && ($blogtime > $validto) ) {
			  $status       = "yes";
			  
			  return $status;
			  
			 }
              
		  }

       
        }
		
		return $status;
		
	 }
	 
	 public function check_role_validity($rolerule,$notice) {
	    
		
		
		$status       = "yes";
		
		if ($rolerule == "specific")   {
		    if (isset($notice['notice_roles'])) {
			    $allowedroles = $notice['notice_roles'];
			}
			
			if (isset($allowedroles) && is_array($allowedroles) ) {
		         if ( ! is_user_logged_in() ) {
                     $status="no";
					 return $status;
                 }
				 
				$allowedauthors = '';
				
				foreach ($allowedroles as $role) {
                   $allowedauthors.=''.$role.',';
                }
                   $allowedauthors=substr_replace($allowedauthors, "", -1);
				 
            } else {
			    return $status;
			}
   
             global $current_user;
                  $user_roles = $current_user->roles;
	              $user_role = array_shift($user_roles);



             if (!preg_match('/\b'.$user_role.'\b/', $allowedauthors )) {
                $status="no";
			    return $status;
             }
	


       
        }
		
		return $status;
		
	 }
}
?>